Bug 470305 - Method interceptor to run non-dependent methods in alphabetical order by method name
Method interceptor to run non-dependent methods in alphabetical order by meth...
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Satellite QA List
Red Hat Satellite QA List
:
Depends On:
Blocks: 469958
  Show dependency treegraph
 
Reported: 2008-11-06 11:36 EST by Jeff Weiss
Modified: 2014-11-09 17:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-24 07:34:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mylyn/context/zip (1.46 KB, application/octet-stream)
2008-11-06 12:19 EST, Jeff Weiss
no flags Details

  None (edit)
Description Jeff Weiss 2008-11-06 11:36:49 EST
Wes's methods are written for junit which will run them in abc order.  Testng usually requires dependsOnMethod tags, but you can also write an "interceptor" to sort the non-dependent methods for you.
Comment 1 Jeff Weiss 2008-11-06 12:19:39 EST
Created attachment 322761 [details]
mylyn/context/zip

Note You need to log in before you can comment on or make changes to this bug.